/* HAMBURGER MOBILE */

* {
    /border: 1px solid black
}

.hamburger-icon .bar1,
.hamburger-icon .bar2,
.hamburger-icon .bar3 {
    width: 3rem;
    height: 0.3rem;
    background-color: white;
    margin: 5px 0;
    transition: 0.3s;
    right: 0;


}

.bar1 {
    top: 0rem;
}

.bar2 {
    top: 1rem;
}

.bar3 {
    top: 2rem;
}

.change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-0.7rem, 0.55rem);
    transform: rotate(-45deg) translate(-0.7rem, 0.55rem);
}

.change .bar2 {
    opacity: 0;
}

.change .bar3 {
    -webkit-transform: rotate(45deg) translate(-0.55rem, -0.5rem);
    transform: rotate(45deg) translate(-0.55rem, -0.5rem);
}

.ham-navbar {
    display: none;
}

@media (min-width: 950px) {
    #hamburger-icon {
        display: none;
    }
}

@media (max-width: 950px) {

    #dt-hamburger-icon,
    .dt-ham-navbar,
    .dt-ham-navbar.show {
        display: none !important;
    }

    header,
    #header-content {
        width: 100vw;
        height: 8vh;
        max-width: 100vw !important;
        max-height: 8vh !important;
        display: flex;
        align-items: center;
        z-index: 999;
    }

    .logo-title {
        width: 80%;
    }

    #header-title {
        width: 100%;
        text-align: left;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        left: 0;
    }

    #CP-img-header {
        height: 50%;
        width: auto;
        max-height: 4.55vh;
        margin-left: 0rem;
    }

    #header-content h1 {
        font-size: 2.8rem !important;
        margin-left: 0rem;
    }

    #header-content p:not(nav p) {
        display: none;
    }

    nav:not(.ham-navbar) {
        display: none;
    }

    .page-nav-links {
        display: none !important
    }

    /* HAMBURGER for smaller devices*/
    .hamburger-icon {
        margin-top: 1.5vh;
        margin-right: 2vw;
        cursor: pointer;
        display: block;
        z-index: 1001;
        background: var(--blue4);
        border-top: 0.4rem solid var(--blue4);
        border-bottom: 0.4rem solid var(--blue4);
        border-left: 0.8rem solid var(--blue4);
        border-right: 0.8rem solid var(--blue4);
        position: fixed;
        right: 1rem;
        top: 1rem;
    }

    #ham-navbar {
        display: none;
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        width: 100vw;
        border: 2px solid var(--blue4);
        border-radius: 5px;
        background: var(--ggray1);
        z-index: 1000;
    }

    #ham-navbar.show {
        display: block;
    }

    #ham-navbar ul li {
        display: none;
    }

    #ham-navbar.show ul li {
        display: block;
    }

    #ham-menu-contain {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        height: inherit;
        width: 100%;
        position: relative;
        right: 0;
        top: 7%;
    }

    .ham-menu-line {
        background-color: white;
        border-color: white;
        width: 95vw;
    }

    #ham-menu-contain ul {
        list-style-type: none;
        display: flex;
        flex-direction: column;
        justify-content: center;
        list-style-type: none;
        padding: 0;
    }

    #ham-menu-contain ul li {
        padding-right: 2vw;
        padding-left: 2vw;
        padding-bottom: 1vw;
        margin: 1vh;
        font-size: 4vh;
        word-wrap: none;
        list-style-type: none;
        display: none;
    }

    .show {
        display: block !important;
    }

    .ham-navbar.show ul li {
        display: block;
    }

    #ham-menu-contain ul li a {
        text-decoration: none;
        color: black;
    }

    .ham-menu-dropbtn {
        margin-left: 4%;
        margin-bottom: 4%;
    }

    .ham-menu-dropdown {
        display: none;
        flex-direction: column;
        justify-content: center;
        gap: 2vh;
        margin-top: 5%;
    }

    .fa-caret-up {
        display: none;
    }

    .ham-menu-dropdown.show .fa-caret-up {
        display: inline-block;
    }

    .ham-menu-dropdown.show .fa-caret-down {
        display: none;
    }

    .ham-menu-dropdown-link {
        font-size: 3vh;
    }


    /* SEARCH NAV-SECTION */
/*
    #nav-search-section {
        width: 96%;
        min-width: 24rem;
        max-width: 42rem;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    #nav-search-header {
        margin: 0.5rem auto
    }

    #nav-search-fields-cont {
        padding-top: 1.5rem;
        display: flex;
        width: 97%;
        display: flex;
        flex-direction: column;
    }

    .nav-search-field-cont {
        display: flex;
        width: 100%;
        margin: 0 0 1.5rem 0;
    }

    .nav-search-label {
        font-size: 1.25rem;
        font-weight: bold;
        text-align: left;
        width: 40% !important;
        padding-top: 0.3rem;
    }

    .nav-select-wrapper,
    #nav-search-pol-input-main {
        width: 70% !important;
    }

    .select2-container,
    .select2-selection {
        width: 100% !important;
    }

    .select2-container--default .select2-selection--single {
        -webkit-box-shadow: 1px 2px 2px 0px #000000;
        box-shadow: 1px 2px 2px 0px #000000;
        font-size: 1.4rem;
        text-align: left;
    }

    .select2-container--default .select2-selection--single .select2-selection__placeholder {
        color: var(--text) !important;
    }

    .select2-results__options {
        font-size: 1.35rem;
        overflow-y: auto;
        text-align: left;
    }

    .select2-search__field:focus {
        outline: 1.5px solid var(--blue4);
        background: var(--gray);
    }

    .select2-results__option--highlighted {
        background-color: var(--cyan2) !important;
        color: var(--text) !important;
    }

    #select2-leg-select-results {
        font-size: 1.25rem;
    }

    #nav-search-pol-input-main {
        border: 0.1rem solid var(--blue4) !important;
        -webkit-box-shadow: 1px 2px 2px 0px #000000;
        box-shadow: 1px 2px 2px 0px #000000;
        height: 2.5rem;
        border-radius: 0.5rem;
        color: var(--text);
        padding-left: 2.2rem;
    }

    #nav-search-pol-input-main::placeholder {
        opacity: 1;
    }

    #nav-search-pol-input-main:focus {
        outline: 1.5px solid var(--blue4);
        background: var(--cyan2);
    }

    .nav-mag-glass-main {
        position: relative;
        transform: translate(155%, 25%);
        font-size: 1.7rem;
        font-weight: bold;
    }

    .nav-input-button-main-cont {
        display: flex;
        gap: 1.5vw;
        width: 95%;
    }

    #nav-locate-pol-search-button-main {
        color: #fff;
        height: 3rem;
        width: 20%;
        outline: none;
        font-size: 1.4rem;
        font-weight: 500;
        border-radius: 0.5rem;
        cursor: pointer;
        background: var(--blue4);
        border: 0.1rem solid var(--blue4);
        transition: all 0.3s ease;
        margin-top: 0.1rem;
    }

    #nav-locate-pol-search-button-main:hover {
        background: var(--cyan2);
        border: 0.25rem solid var(--blue4);
        color: var(--blue4);
    }

    #nav-fa-arrow-circle-right {
        padding-top: 0.15rem;
        font-size: 1.7rem;
        margin: auto
    }

    */
}
